package com.diagbot.client.bean;

import com.diagbot.dto.ConceptDetailDTO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/11/21 15:36
 */
@Getter
@Setter
public class Treat {
    private Integer disType;
    private String diseaseName;
    private List<AdverseReaction> adverseEvent;//不良反应
    private List<TreatmentPlan> treatmentPlan;//治疗方案
    private ConceptDetailDTO commonTreatment; //一般治疗
    private ConceptDetailDTO surgeryTreatment; //手术治疗
    private Object followUp;
    private Map<String, List<Medicition>> drugHistory;
}